curl --request POST \
--url https://api.fabric.inc/v3/orders/{orderId}/actions/check-credits-eligibility \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'import requests
url = "https://api.fabric.inc/v3/orders/{orderId}/actions/check-credits-eligibility"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fabric.inc/v3/orders/{orderId}/actions/check-credits-eligibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "Policy used to add credits",
"eligibleReasonCodes": [
{
"code": "1DMG",
"description": "Damaged"
}
],
"orderId": "62f3982438bcab1951be0a19",
"policyName": "Credits policy",
"policyType": "credits"
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Not found",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Check credits eligibility by order ID
In case of refund scenarios, credits such as gift card may be offered to customers for various reasons such as damaged products, later deliveries, or other qualifying factors as per your policy.
This endpoint checks the credits eligibility by order ID, allowing businesses to manage credits effectively and provide appropriate compensation to eligible customers.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
Unique request ID
Path Parameters
24-character system-generated order ID returned in the response of Create Order - POST /orders endpoint.
Response
OK
Credits eligibility model
Description provided while requesting credits (for reference)
"Policy used to add credits"
Reason codes to support credits request
Show child attributes
Show child attributes
24-character system-generated order ID
"62f3982438bcab1951be0a19"
Merchant-given policy name.
"Credits policy"
Policy type used to check credits eligibility
"credits"
Was this page helpful?
